Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationAdhocUpload

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationAdhocUpload

extends java.rmi.Remote

This interface define methods to manage Adhoc upload configuration of server remotely.

Since:
  V8.2

Method Summary
`java.lang.String[]` | `getUploadEnableFileTypes()` Get file types of upload enable
`int` | `getUploadUpperSize()` Get upper size of upload file
`boolean` | `isUploadEnable(java.lang.String fileType)` Get if upload enable
`void` | `setUploadEnable(java.lang.String fileType, boolean isEnable)` Set if upload enable
`void` | `setUploadUpperSize(int upperSize)` Set upper size of upload file

Method Detail

### isUploadEnable

    boolean isUploadEnable(java.lang.String fileType)
                           throws java.rmi.RemoteException

  Get if upload enable

  Parameters:
    `fileType` - the file type
  Returns:
    if upload enable
  Throws:
    `java.rmi.RemoteException`

### setUploadEnable

    void setUploadEnable(java.lang.String fileType,
                         boolean isEnable)
                         throws java.rmi.RemoteException

  Set if upload enable

  Parameters:
    `fileType` - the file type
    `isEnable` - if upload enable
  Throws:
    `java.rmi.RemoteException`

### getUploadEnableFileTypes

    java.lang.String[] getUploadEnableFileTypes()
                                                throws java.rmi.RemoteException

  Get file types of upload enable

  Returns:
    array of file types
  Throws:
    `java.rmi.RemoteException`

### setUploadUpperSize

    void setUploadUpperSize(int upperSize)
                            throws java.rmi.RemoteException

  Set upper size of upload file

  Parameters:
    `upperSize` - the upper size
  Throws:
    `java.rmi.RemoteException`

### getUploadUpperSize

    int getUploadUpperSize()
                           throws java.rmi.RemoteException

  Get upper size of upload file

  Returns:
    the upper size
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD